Name:      libgta
Version:   1.0.7
Release:   1%{?dist}
Summary:   Library that implements the Generic Tagged Arrays file format
Group:     System Environment/Libraries
License:   LGPLv2+
URL:       http://gta.nongnu.org
Source0:   http://download.savannah.nongnu.org/releases/gta/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: bzip2-devel
BuildRequires: zlib-devel
BuildRequires: xz-devel

%description
Libgta is a portable library that implements the GTA (Generic Tagged Arrays)
file format. It provides interfaces for C and C++.


%package devel
Summary:  Development Libraries for %{name}
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains HTML API documentation and
examples for %{name}.


%prep
%setup -q

# Preserve date for headers
# Sent to gta-list@nongnu.org
sed -i 's/-m 644/-pm 644/' configure


%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

# Remove documentation; will install it with doc macro
rm -rf %{buildroot}%{_docdir}


%check
make check V=1


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS README
%{_libdir}/%{name}.so.*

%files devel
%{_datadir}/%{name}/cmake/FindGTA.cmake
%{_libdir}/pkgconfig/gta.pc
%{_includedir}/gta
%{_libdir}/%{name}.so

%files doc
%doc doc/example*
%doc doc/reference


%changelog
* Thu Dec 25 2014 Volker Fröhlich <volker27@gmx.at> - 1.0.7-1
- New upstream release
- Install the cmake find script

* Wed Dec 17 2014 Volker Fröhlich <volker27@gmx.at> - 1.0.6-1
- New upstream release

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Volker Fröhlich <volker27@gmx.at> - 1.0.4-3
- Rebuild for imagemagick ABI version 16

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb  3 2013 Volker Fröhlich <volker27@gmx.at> 1.0.4-1
- New upstream release

* Sun Sep  2 2012 Volker Fröhlich <volker27@gmx.at> 1.0.3-1
- New upstream release
- Run checks

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb  7 2012 Volker Fröhlich <volker27@gmx.at> 1.0.2-2
- Add a doc sub-package for API documentation

* Sat Jan 28 2012 Volker Fröhlich <volker27@gmx.at> 1.0.2-1
- New upstream release
- Remove DESTDIR correction for install-exec-hook (now upstream)

* Thu Jan  5 2012 Volker Fröhlich <volker27@gmx.at> 1.0.1-1
- Initial package for Fedora
